--- /dev/null
+language: C++
+
+before_install: ./contrib/utilities/setup_travis.sh
+
+compiler:
+- clang
+- gcc
+
+script: ./contrib/utilities/run_travis.sh $CI_TEST_SUITE $CI_BUILD_TYPE
+
+branches:
+ only:
+ - master
+
+env:
+ - CI_TEST_SUITE=mini CI_BUILD_TYPE=Debug
+ - CI_TEST_SUITE=mini CI_BUILD_TYPE=Release
+ - CI_TEST_SUITE=build CI_BUILD_TYPE=Debug
+ - CI_TEST_SUITE=build CI_BUILD_TYPE=Release
+# This is way too long. We should find a way to do this in little pieces...
+# - CI_TEST_SUITE=tests
For further information have a look at ./doc/index.html or at
http://www.dealii.org.
+
+Continuous Integration Status:
+------------------------
+
+[](https://travis-ci.org/dealii/dealii)
--- /dev/null
+#!/bin/sh
+case $1 in
+mini)
+ echo "Building and running mini tests in $2 mode."
+ mkdir build && cd build && cmake -DCMAKE_BUILD_TYPE=$2 ../ && make -j4 && make tests
+ ;;
+build)
+ echo "Running build tests."
+ mkdir build_test
+ cd build_test
+ ctest -DCMAKE_BUILD_TYPE=$2 -V -j4 -S ../tests/run_buildtest.cmake
+ ;;
+tests)
+ echo "Running full testsuite."
+ mkdir full_tests
+ cd full_tests
+ ctest -DCMAKE_BUILD_TYPE=$2 -V -j4 -S ../tests/run_testsuite.cmake
+ ;;
+*)
+ echo "Unrecognized test type! [$1]"
+ exit 1
+esac
+
--- /dev/null
+#/bin/sh -f
+
+# things to do for travis-ci in the before_install section
+
+if ( test "`uname -s`" = "Darwin" )
+then
+ #cmake v2.8.12 is installed on the Mac workers now
+ #brew update
+ #brew install cmake
+ echo
+else
+ #install a newer cmake since at this time Travis only has version 2.8.7
+ sudo apt-get install build-essential
+ echo "yes" | sudo add-apt-repository ppa:kalakris/cmake
+ sudo apt-get update -qq
+ sudo apt-get install cmake
+fi